neomutt (20260616+dfsg-1) unstable; urgency=medium

  * New upstream version 20260616+dfsg.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Wed, 17 Jun 2026 20:51:29 -0300

neomutt (20260504+dfsg-1) unstable; urgency=medium

  * New upstream version 20260504+dfsg.
  * debian/control: bump standards-version to 4.7.4, no changes needed.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Wed, 06 May 2026 19:03:14 +0200

neomutt (20260406+dfsg-1) unstable; urgency=medium

  * New upstream version 20260406+dfsg.
  * Remove tokyo cabinet header cache backend. (Closes: #1132419)
    - debian/control: drop libtokyocabinet-dev B-D.
    - debian/rules: remove --tokyocabinet config option.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Tue, 07 Apr 2026 21:20:10 -0300

neomutt (20260105+dfsg-1) unstable; urgency=medium

  * New upstream version 20260105+dfsg.
      - neomutt-test-files: new version from git
        (neomutt/neomutt-test-files@c769cde).
  * debian/control:
      - Bump stds-version to 4.7.3 and drop Priority field.
      - Drop Rules-Requires-Root, since trixie it defaults to no.
  * debian/copyright:
      - Bump packaging copyright years - happy 2026!
      - Update upstream copyright years.
  * debian/patches/upstream/build-fix-smime-un-install.patch: remove, released
    upstream.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Mon, 05 Jan 2026 22:31:50 -0300

neomutt (20251211+dfsg-1) unstable; urgency=medium

  * New upstream version 20251211+dfsg.
  * debian/neomutt.install: install smime.rc now that upstream provides it
    again.
  * debian/patches: refresh patches against new upstream release.
      - upstream/build-fix-smime-un-install.patch: cherry-pick from upstream.
      - upstream/fix-groff-C-font.patch: disable, it needs to be reworked.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Fri, 12 Dec 2025 18:53:41 -0300

neomutt (20250905+dfsg-1) unstable; urgency=medium

  * New upstream version 20250905+dfsg.
  * debian/copyright: update upstream copyright stanza for new release.
  * debian/neomutt.lintian-overrides: use glob for line indication on
    override.
  * debian/patches: refresh patches against new upstream release.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Fri, 05 Sep 2025 13:25:03 -0300

neomutt (20250510+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Fri, 16 May 2025 14:56:17 -0300

neomutt (20250510+dfsg-1) experimental; urgency=medium

  * New upstream version 20250510+dfsg.
  * debian/patches: refresh patches against new upstream release.
      - debian-specific/use_usr_bin_editor.patch: refresh.
      - upstream/dont-stop-if-spoolfile-is-missing.patch: drop as it's in the
        new release.
      - upstream/fix-help-memory-leaks.patch: drop as it's in the new release.
      - upstream/fix-marking-read-mail-as-new.patch: drop as it's in the new
        release.
      - upstream/fix-quoting-color.patch: drop as it's in the new release.
      - upstream/update-functions-in-docs.patch: drop as it's in the new
        release.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sat, 10 May 2025 10:57:08 -0300

neomutt (20250404+dfsg-2) unstable; urgency=medium

  * debian/patches/upstream/:
      - dont-stop-if-spoolfile-is-missing.patch: import from upstream.
      - fix-quoting-color.patch: import patch from upstream.
      - fix-marking-read-mail-as-new.patch: import patch from upstream.
      - fix-help-memory-leaks.patch: import patch from upstream.
      - update-functions-in-docs.patch: import patch from upstream.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Fri, 18 Apr 2025 00:55:57 -0300

neomutt (20250404+dfsg-1) unstable; urgency=medium

  * New upstream version 20250404+dfsg.
  * debian/control: bump Standards-Version to 4.7.2 - no changes needed.
  * debian/copyright: update GPL-2+ text to the newer version linking
    to gnu.org.
  * debian/patches: refresh patches.
      - 964416-manpages-fixes.patch: drop leftover patch, not needed anymore.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Fri, 04 Apr 2025 16:51:44 -0300

neomutt (20250113+dfsg-1) unstable; urgency=medium

  * New upstream version 20250113+dfsg.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Fri, 17 Jan 2025 12:31:37 -0300

neomutt (20250109+dfsg-1) unstable; urgency=medium

  * New upstream version 20250109+dfsg.
  * debian/copyright: update upstream's copyright years.
  * debian/patches/upstream/fix-pointer-conversion.patch: remove,
    incorporated upstream.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Fri, 10 Jan 2025 19:41:51 -0300

neomutt (20241212+dfsg-2) unstable; urgency=medium

  * Run wrap-and-sort -at.
  * Move scripts from /usr/share/doc to /usr/share/neomutt.
      - debian/neomutt.docs: remove scripts.
      - debian/neomutt.install: add scripts.
  * Update arch list that disables notmuch support.
      - debian/control: update list for libnotmuch-dev.
      - debian/rules: update no_notmuch_architectures variable.
  * debian/control: Suggests python3 because of available scripts in
    /usr/share/neomutt.
  * debian/copyright:
      - Add a separate stanza for test-files component.
      - Update packaging copyright year - happy 2025!
  * debian/neomutt-docs.docs: remove unused file.
  * debian/neomutt.clean: remove, not needed anymore.
  * debian/neomutt.install: install neomutt.svg (instead of doing on d/rules).
  * debian/neomutt.lintian-overrides: add more overrides to it and comments
    explaining why they are added.
  * debian/patches/upstream/fix-pointer-conversion.patch: add patch from
    upstream. Thanks to Helge Deller. (Closes: #964416)
  * debian/patches/upstream/fix-groff-C-font.patch: add new patch.
  * debian/rules:
      - Don't chmod files on dh_install, they are already executable.
      - Move png icons to the right place instead of copying them.
      - No need to rm d/tmp/usr/share/neomutt/logo, it's not installed.
      - Remove old cruft not needed anymore.
          + Remove --libexecdir as debhelper >= 12 sets it correctly.
          + Remove --with-mailpath=/var/mail, it's the default on neomutt.
          + Remove override_dh_autoreconf.
          + Remove rm -rf of iconv dir and ca-bundle.crt file.
      - Use execute_before instead of override_dh_install.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sat, 04 Jan 2025 16:42:24 -0300

neomutt (20241212+dfsg-1) unstable; urgency=medium

  * New upstream version 20241212+dfsg
      - neomutt-test-files: new version from git
        (neomutt/neomutt-test-files@7404f44).

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Thu, 12 Dec 2024 11:09:24 -0300

neomutt (20241114+dfsg1-1) unstable; urgency=medium

  * New upstream version 20241114+dfsg1.
      - Add neomutt test files via multiple upstream tarballs (MUT).
  * debian/README.source: add info about MUT.
  * debian/gbp.conf: add component to configuration.
  * debian/rules: enable tests.
  * debian/watch: make MUT to include neomutt-test-files in source package.
  * debian/patches/debian-specific/neomuttrc.patch: remove deprecated
    mixmaster option. (Closes: 1088052)

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Fri, 22 Nov 2024 23:31:29 -0300

neomutt (20241114+dfsg-1) unstable; urgency=medium

  * New upstream version 20241114+dfsg.
  * debian/copyright: update upstream copyright stanza.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Fri, 15 Nov 2024 12:24:11 -0300

neomutt (20241002+dfsg-1) unstable; urgency=medium

  * New upstream version 20241002+dfsg.
  * debian/patches/: rebase patches against new upstream release.
  * debian/rules: remove mixmaster build option, it was removed upstream.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Wed, 02 Oct 2024 20:25:47 -0300

neomutt (20240425+dfsg-2) unstable; urgency=medium

  * debian/NEWS: add news file warning about removal of config files.
  * debian/README.Debian: add file with more info about config files removal.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Tue, 11 Jun 2024 00:39:42 -0300

neomutt (20240425+dfsg-1) unstable; urgency=medium

  [ Carlos Henrique Lima Melara ]
  * Team upload.
  * New upstream version 20240425+dfsg.
  * debian/neomutt.conffiles: remove obsolete configuration files.
    (Closes: #1059383)
  * debian/control:
      - Bump Standards-Version - no changes needed.
      - s/pkg-config/pkgconf/ in Build-Depends as pointed by lintian.
      - Use https in Homepage field - Thanks Jörg Sommer.
  * debian/copyright: complete overhaul of upstream and packaging copyright.
  * debian/gbp.conf: add debian and upstream branch definition.
  * debian/neomutt.docs: be more restrictive with installed docs.
  * debian/neomutt.install: move documentation files to d/neomutt.docs.
  * debian/not-installed: handle leftovers from tighten d/neomutt.docs.
  * debian/patches/: rebase patches against new upstream release
  * debian/patches/debian-specific/:
      - document_debian_defaults.patch: update to document use_threads.
      - neomuttrc.patch:
          + Drop useless custom mailto-allow configuration.
          + Use $use_threads instead of legacy option in $sort. Thanks to Ryan
            Kavanagh. (Closes: #1057555)
  * debian/watch:
      - Update to make use of version 4 goodies.
      - Use only +dfsg as the repack suffix as suggested by lintian.

  [ Antonio Radici ]
  * debian/control:
    - Added Carlos to the Uploaders field, thanks a lot for your great work on
      neomutt!

 -- Antonio Radici <antonio@debian.org>  Fri, 07 Jun 2024 12:55:58 +0200

neomutt (20231103+dfsg1-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Install the application icons (PNG and SVG) in the hicolor XDG icon theme.
  * Drop the application XPM icon, no more needed with the PNG/SVG icons.

  [ Carlos Henrique Lima Melara ]
  * debian/control:
      - Build-Depends on libncurses-dev instead of the versioned ones.
      - Update Build-Depends field to match new configure options.
  * debian/neomutt.examples: drop samples installation - not shipped anymore.
  * debian/neomutt.install:
      - Don't use d/install to move html files.
      - Drop samples installation - not shipped anymore.
  * debian/patches/*: refresh patches.
  * debian/patches/misc/smime.rc.patch: drop patch because upstream does not
    ship smime.rc anymore.
  * debian/patches/upstream/: drop patches cherry-picked from upstream or
    fixed there. Namely:
      - 1020414-gsasl-support-prereq.patch
      - 1020414-gsasl-support.patch
      - use-pkgconfig-for-libgpg-error.patch
  * debian/rules:
      - Fix logo's dir path and remove the dir after copying contents.
      - Move the html pages to html folder under usr/share/doc/neomutt.
      - Sort configure options and remove deprecated ones.
      - Sync configure options with fedora's. (Closes: #927994)
  * debian/salsa-ci.yml: add salsa CI.

  [ Antonio Radici ]
  * Remove mixmaster (removed from the archive in 2017), original change by
    Jonathan Dowland (Closes: 949033).
  * New upstream version 20231103+dfsg1. (Closes: #1025704)
    + Most of the work came from Carlos Henrique Lima Melara for
      20231023+dfsg1 which we skipped.
  * debian/patches/:
    - removed upstream/1018170-fix-redraw-corruption.patch which is no longer
      needed (already upstream).
    - removed upstream/1023767-use-pkgconf-to-find-gpgme.patch, same as above.

 -- Antonio Radici <antonio@debian.org>  Thu, 14 Dec 2023 09:02:51 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog neomutt`.
